API reference · Lookups
Find places (GeoNames) for the places filter
GET
https://trawle.com/v1/placesCities, metro areas, states, countries and multi-country regions ("EMEA", "Europe", "Anywhere") whose name starts with q. Use items[].id in JobQuery.places; context tells homonyms apart.
Query
qstringrequiredPlace name.
- Limits
- 1 to 100 characters
- Example
copenhagen
limitintegeroptional- Default
8- Limits
- 1 to 20
200Best matches first.
itemsarray<object> · PlaceMatchrequired5 propertiesper item
idintegerrequiredGeoNames id (regions are negative).
namestringrequired- Example
Copenhagen
countrystring | nullrequiredISO 3166-1 alpha-2 country code; null for multi-country regions.
- Example
DK
kindstringrequired- One of
citymetroadmin1countryregion
contextstring | nullrequiredWhere it is, for telling homonyms apart ("Washington, United States").
400Invalid request: see error.issues and error.hint.Error
errorobjectrequired4 properties
codestringrequiredMachine-readable:
invalid_request,not_found,forbidden,rate_limited,internal.- Example
invalid_request
messagestringrequired- Example
places: expected an array of GeoNames ids
hintstringoptionalWhat to do next, e.g. which lookup to call first.
- Example
Resolve place names to ids with GET /v1/places?q=
issuesarray<object>optionalValidation problems, one per invalid field.
2 propertiesper item
pathstringrequiredmessagestringrequired